boost::geometry::traits::tag< Geometry, Enable > Struct Template Reference
traits: adapt geometries

Traits class to attach a tag to a geometry. More...

List of all members.

## Public Types

typedef void | type

## Detailed Description

### template<typename Geometry, typename Enable = void>
struct boost::geometry::traits::tag< Geometry, Enable >

Traits class to attach a tag to a geometry.

All geometries should implement a traits::tag<G>::type metafunction to indicate their own geometry type.

Geometries:
  - all geometries

Specializations should provide:
  - typedef XXX_tag type; (point_tag, box_tag, ...)

Template Parameters:

  Geometry | geometry

## Member Typedef Documentation

template<typename Geometry, typename Enable = void>

typedef void boost::geometry::traits::tag< Geometry, Enable >::type

Examples:
  c05_custom_point_pointer_example.cpp.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK